Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.anim
Class SimpleAnimation

    java.lang.Object
      org.apache.batik.anim.AbstractAnimation
          org.apache.batik.anim.InterpolatingAnimation
              org.apache.batik.anim.SimpleAnimation

Direct Known Subclasses:
  ColorAnimation, TransformAnimation

    public class SimpleAnimation

extends InterpolatingAnimation

An animation class for 'animate' animations.

Field Summary
`protected AnimatableValue` | `by` Relative offset value for the animation.
`protected AnimatableValue` | `from` Starting value of the animation.
`protected AnimatableValue` | `to` Ending value of the animation.
`protected AnimatableValue[]` | `values` Values between which to interpolate.

Fields inherited from class org.apache.batik.anim.InterpolatingAnimation
`additive, calcMode, cumulative, keySplineCubics, keySplines, keyTimes`

Fields inherited from class org.apache.batik.anim.AbstractAnimation
`animatableElement, beginTime, CALC_MODE_DISCRETE, CALC_MODE_LINEAR, CALC_MODE_PACED, CALC_MODE_SPLINE, composedValue, higherAnimation, isActive, isDirty, isFrozen, lowerAnimation, timedElement, toAnimation, usesUnderlyingValue, value`

Constructor Summary
`SimpleAnimation(TimedElement timedElement, AnimatableElement animatableElement, int calcMode, float[] keyTimes, float[] keySplines, boolean additive, boolean cumulative, AnimatableValue[] values, AnimatableValue from, AnimatableValue to, AnimatableValue by)` Creates a new SimpleAnimation.

Method Summary
`protected void` | `sampledAtUnitTime(float unitTime, int repeatIteration)` Called when the element is sampled at the given unit time.

Methods inherited from class org.apache.batik.anim.InterpolatingAnimation
`sampledAt, sampledLastValue, willReplace`

Methods inherited from class org.apache.batik.anim.AbstractAnimation
`getComposedValue, getTimedElement, getValue, markDirty, toString, usesUnderlyingValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### values

    protected AnimatableValue[] values

  Values between which to interpolate.

### from

    protected AnimatableValue from

  Starting value of the animation.

### to

    protected AnimatableValue to

  Ending value of the animation.

### by

    protected AnimatableValue by

  Relative offset value for the animation.

Constructor Detail

### SimpleAnimation

    public SimpleAnimation(TimedElement timedElement,
                           AnimatableElement animatableElement,
                           int calcMode,
                           float[] keyTimes,
                           float[] keySplines,
                           boolean additive,
                           boolean cumulative,
                           AnimatableValue[] values,
                           AnimatableValue from,
                           AnimatableValue to,
                           AnimatableValue by)

  Creates a new SimpleAnimation.

Method Detail

### sampledAtUnitTime

    protected void sampledAtUnitTime(float unitTime,
                                     int repeatIteration)

  Called when the element is sampled at the given unit time. This updates the `AbstractAnimation.value` of the animation if active.

  Specified by:
    `sampledAtUnitTime` in class `InterpolatingAnimation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.